CREATE TABLE ffs_assignment_log (
    LOG_ID                         NUMBER(19, 0),
    ACTIVITY_ID                    NUMBER(10, 0)    NOT NULL,
    ACTION_ID                      NUMBER(19, 0)    NOT NULL,
    LOG_TIME                       TIMESTAMP(0)     NOT NULL,
    AUTO_ROUTED_TO_RESOURCE_ID     NUMBER(8, 0) ,
    AUTO_ROUTED_TO_DATE            DATE         ,
    FIRST_MANUAL_OPER              NUMBER(3, 0) ,
    FIRST_MANUAL_OPER_USER_ID      NUMBER(18, 0),
    FIRST_MANUAL_OPER_INTERFACE    NUMBER(3, 0) ,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    LOG_ID                         NUMBER(19, 0),
    ACTIVITY_ID                    NUMBER(10, 0)    NOT NULL,
    ACTION_ID                      NUMBER(19, 0)    NOT NULL,
    LOG_TIME                       TIMESTAMP(0)     NOT NULL,
    AUTO_ROUTED_TO_RESOURCE_ID     NUMBER(8, 0) ,
    AUTO_ROUTED_TO_DATE            DATE         ,
    FIRST_MANUAL_OPER              NUMBER(3, 0) ,
    FIRST_MANUAL_OPER_USER_ID      NUMBER(18, 0),
    FIRST_MANUAL_OPER_INTERFACE    NUMBER(3, 0) ,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CONSTRAINT pk_ffs_assignment_log PRIMARY KEY (LOG_ID, LOG_ID)
);
